<template>
  <div id="diary-photos">
    <vx-card title="Ảnh">
      <div class="mt-5">
        <div class="flex flex-wrap px-10 py-5">
          <img
            class="user-latest-image responsive w-1/5 lg-1/6 brightness p-1 rounded"
            :src="img.value"
            v-for="(img, index) in photos"
            :key="index"
            @click="showDiaryDetail(img.id)"
          />
        </div>
      </div>
    </vx-card>
  </div>
</template>

<script>
import DiaryDetail from "./DiaryDetail";

export default {
  props: {
    photos: { type: Array, default: () => [] }
  },
  methods: {
    async showDiaryDetail(diaryId, selectedImg) {
      this.$emit("close");
      await this.$showModal(
        DiaryDetail,
        { diaryId: diaryId, selectedPhotoUrl: selectedImg },
        { width: 1000 }
      );
    }
  }
};
</script>

<style lang="scss">
@import "@/assets/scss/vuexy/pages/diary.scss";
</style>
